from compass_api_sdk import CompassAPI, models
with CompassAPI(
api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:
res = compass_api.aave_v3.aave_token_price(chain=models.V1AaveTokenPriceChain.ARBITRUM, token="USDC")
# Handle response
print(res)import { CompassApiSDK } from "@compass-labs/api-sdk";
const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await compassApiSDK.aaveV3.aaveTokenPrice({
chain: "arbitrum",
token: "USDC",
});
console.log(result);
}
run();curl --request GET \
--url https://api.compasslabs.ai/v1/aave/token_price \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.compasslabs.ai/v1/aave/token_price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"price": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Token Prices
This endpoint retrieves the current price of a specified token in USD as determined by the Aave protocol.
It utilizes the Aave V3 Oracle to fetch the token price, ensuring accurate and up- to-date information. The request requires the token identifier and the blockchain network (chain) on which the token resides. The response provides the token price in a standardized format, converted from Wei to the base currency decimals defined by Aave.
from compass_api_sdk import CompassAPI, models
with CompassAPI(
api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:
res = compass_api.aave_v3.aave_token_price(chain=models.V1AaveTokenPriceChain.ARBITRUM, token="USDC")
# Handle response
print(res)import { CompassApiSDK } from "@compass-labs/api-sdk";
const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await compassApiSDK.aaveV3.aaveTokenPrice({
chain: "arbitrum",
token: "USDC",
});
console.log(result);
}
run();Query Parameters
arbitrum, base, ethereum Optional block number (defaults to latest).
The symbol or address of the asset whose price you want.. A token identifier - either a supported symbol (e.g., USDC, WETH) or a valid Ethereum address (0x...)
"USDC"
"WETH"
"0xA0b86a33E6441ccF30EE5DdEF1E9b652C91ac1c8"
Response
Successful Response
The price of the asset in USD.
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Was this page helpful?